%define	name	perl-Digest-HMAC
%define	real_name Digest-HMAC
%define	version	1.01
%define	release	%mkrel 15

Summary:	Keyed-Hashing for Message Authentication
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/GAAS/%{real_name}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	perl-HMAC
Requires:	perl perl-Digest-SHA1

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Digest




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-15mdv2009.0
+ Revision: 223658
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.01-14mdv2008.1
+ Revision: 180392
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-13mdv2007.0
+ Revision: 108541
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Digest-HMAC

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.01-12mdk
- rebuild

